#ifndef EXECUTABLE_H_
#define EXECUTABLE_H_

#include "binary.h"

class Executable: public Binary
{
public:
	Executable(Builder &, const Msp::FS::Path &);
	Executable(Builder &, const Component &, const std::list<ObjectFile *> &);
private:
	static std::string generate_filename(const Component &);

public:
	virtual const char *get_type() const { return "Executable"; }
};

#endif
